Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Data Points

Create Data Point
POST /dataSets/{dataSetId}/dataPoints
https://api.relesysapp.net/api/v1.4/dataSets/{dataSetId}/dataPoints
Creates a DataPoint based on a parent DataSetId, and ties the DataPoint to a Department and/or User, if those values are provided.
Scopes: relesys.api, relesys.api:write, relesys.api.kpis, relesys.api.kpis:write
URL Path
dataSetId string / guid The data set's unique identifier required
Request Body
application/json
object
  departmentId string / guid optional
  label string optional
  timeStamp datetimeoffset optional
  userId string / guid optional
  value double optional
Responses
application/json
JSON
{"data":{"label":"Avg. Basket Size","timeStamp":"2020-01-19T22:00:00+00:00","value":278.0,"departmentId":"9aca0e70-008c-45e0-8cb1-bad535d39ca2","userId":"277383ae-c18d-4dd6-ac6c-c832f692477b"}}
object
  ⯈ data object      
   departmentId string / guid      
   label string      
   timeStamp datetimeoffset      
   userId string / guid      
   value double